Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class TransactionAspect

    java.lang.Object
      org.jboss.jms.client.container.TransactionAspect

public class TransactionAspect
extends java.lang.Object

This aspect handles transaction related logic This aspect is PER_VM.

Author:

  Constructor Summary
  `TransactionAspect()`

  Method Summary
  `java.lang.Object` | `handleClose(Invocation invocation)`
  `java.lang.Object` | `handleCommit(Invocation invocation)`
  `java.lang.Object` | `handlePreDeliver(Invocation invocation)`
  `java.lang.Object` | `handleRollback(Invocation invocation)`
  `java.lang.Object` | `handleSend(Invocation invocation)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### TransactionAspect

      public TransactionAspect()

  Method Detail

  ### handleClose

      public java.lang.Object handleClose(Invocation invocation)
                                   throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleCommit

      public java.lang.Object handleCommit(Invocation invocation)
                                    throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleRollback

      public java.lang.Object handleRollback(Invocation invocation)
                                      throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSend

      public java.lang.Object handleSend(Invocation invocation)
                                  throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handlePreDeliver

      public java.lang.Object handlePreDeliver(Invocation invocation)
                                        throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2006 JBoss Inc. All Rights Reserved.